%global _empty_manifest_terminate_build 0
Name:           python-jaraco-functools
Version:        3.8.0
Release:        1
Summary:        Functools like those found in stdlib
License:        MIT
URL:            https://pypi.org/project/jaraco.functools/
Source0:	https://files.pythonhosted.org/packages/99/62/3c214a2a6143701690af6a6687f324af93f6cb0222eee6dddd8196fcfd05/jaraco.functools-3.8.0.tar.gz
BuildArch:      noarch

Requires:       python3-more-itertools
Requires:       python3-sphinx
Requires:       python3-pytest
Requires:       python3-pytest-checkdocs
Requires:       python3-pytest-flake8
Requires:       python3-pytest-black
Requires:       python3-pytest-cov
Requires:       python3-toml

%description
Functools like those found in stdlib

%package -n python3-jaraco-functools
Summary:        Functools like those found in stdlib
Provides:       python-jaraco-functools = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3-pip python3-wheel python3-flit
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-toml
%description -n python3-jaraco-functools
Functools like those found in stdlib

%package help
Summary:        Development documents and examples for jaraco.functools
Provides:       python3-jaraco-functools-doc
%description help
Documentation for jaraco-functools

%prep
%autosetup -n jaraco.functools-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install jaraco-functools==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-jaraco-functools
%{python3_sitelib}/*

%files help
%{_docdir}/*

%changelog
* Tue Jul 04 2023 chenzixuan <chenzixuan@kylinos.cn> - 3.8.0-1
- Update package to version 3.8.0

* Fri Apr 28 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.6.0-2
- Use pyproject to compile package

* Thu Mar 30 2023 wubijie <wubijie@kylinos.cn> - 3.6.0-1
- Update package to version 3.6.0

* Mon Feb 27 2023 yaoxin <yaoxin30@h-partners.com> - 3.5.2-3
- Fix installation conflicts between python3-jaraco-functools and python3-tempora

* Fri Feb 24 2023 yaoxin <yaoxin30@h-partners.com> - 3.5.2-2
- Fix installation conflicts between python3-jaraco-functools and python3-importlib-metadata

* Thu Dec 01 2022 liqiuyu <liqiuyu@kylinos.cn> - 3.5.2-1
- Update package to version 3.5.2

* Sat Apr 02 2022 xigaoxinyan <xigaoxinyan@huawei.com> - 3.0.1-3
- Fix build error caused by py3.10+ wildcard

* Thu Dec 24 2020 zhanghua <zhanghua40@huawei.com> - 3.0.1-2
- fix random build failed

* Fri Nov 13 2020 Python_Bot <Python_Bot@openeuler.org> - 3.0.1-1
- Package Spec generated
